import microRequest from "../../utils/micro_request";

// 微服务
const basePath = import.meta.env.VITE_ADMIN

/**
 * API 层: 声明请求，使用 micro_request，不处理业务状态存储
 */

// 登录接口 

export function useUserApi() {

  return {

    // 根据用户名获取用户信息
    getUserByUserName(query?: object) {
      return microRequest.postRequest(basePath, 'User', 'GetUserByUserName', query)
    },

  }

}